<?php

/*******************************************************************************

 *
 *  AlterVision CPA platform
 *  Created by AlterVision - www.altercpa.pro
 *  Copyright (c) 2014-2022 Anton Reznichenko
 *

 *
 *  File: 			shop / index.php
 *  Description:	Homepage processor
 *  Author:			Anton 'AlterVision' Reznichenko - altervision13@gmail.com
 *

*******************************************************************************/

// Looking for the parked domains
if (!defined( 'INSIDEHOMEPAGE' )) { // No master of the rings allowed!

	// Load the configuration
	require_once __DIR__ . '/config.php';
	if (!defined( 'CMSPATH' )) define( 'CMSPATH', __DIR__ . '/cms' );
	if (!defined( 'GOFILE' )) define( 'GOFILE', 'go.php' );

	// Get the host
	if ( $_SERVER['HTTP_X_FORWARDED_HOST'] ) $host = $_SERVER['HTTP_X_FORWARDED_HOST'];
	elseif ( $_SERVER['HTTP_X_HOST'] ) $host = $_SERVER['HTTP_X_HOST'];
	elseif ( $_SERVER['HTTP_HOST'] ) $host = $_SERVER['HTTP_HOST'];
	else $host =  $_SERVER['SERVER_NAME'];

	// Get the domains list
	$hl = ( substr( $host, 0, 4 ) == 'xn--' ) ? 'x'.$host[4] : $host[0];
	$fl = CMSPATH . '/db/' . hash_hmac( 'sha256', "domains-$hl", APIKEY ) . '.json';
	if (file_exists( $fl )) {
		$data = @file_get_contents( $fl );
		$doms = $data ? json_decode( $data, true ) : [];
	} else $doms = [];

	// Load the GO-file
	if (isset( $doms[$host] )) {
		define( 'INSIDEHOMEPAGE', true );
		$_GET['site'] = $doms[$host];
		require $_SERVER['DOCUMENT_ROOT'] . '/' . GOFILE;
		die();
	}

}

// Start the CMS
$cms = require_once $_SERVER['DOCUMENT_ROOT'] . '/init.php';
$home = $cms->showpage('home');